/* Layout */
import Layout from '@/layout'
export default {
  path: 'financingManage',
  name: 'FinancingManage',
  component: Layout,
  redirect: '/financingManage/index',
  meta: { title: '融资管理', icon: 'tree' },
  children: [
    {
      path: '/financingManage/index',
      name: 'FinancingManage',
      component: () => import('@/views/financingManage/index'),
      meta: { title: '融资管理', icon: 'tree', breadcrumb: false }
    },
    {
      path: '/financingManage/limitExpenditure/:id',
      name: 'LimitExpenditure',
      component: () => import('@/views/financingManage/limitExpenditure/index'),
      hidden: true,
      meta: { title: '额度支用' }
    },
    {
      path: '/financingManage/disburseApproval/:id',
      name: 'DisburseApproval',
      component: () => import('@/views/financingManage/disburseApproval'),
      hidden: true,
      meta: { title: '支用审核' }
    },
    {
      path: '/financingManage/contractPreparation/:id',
      name: 'ContractPreparation',
      component: () => import('@/views/financingManage/contractPreparation'),
      hidden: true,
      meta: { title: '合同制作' }
    },
    {
      path: '/financingManage/contractApproval/:id',
      name: 'ContractApproval',
      component: () => import('@/views/financingManage/contractApproval'),
      hidden: true,
      meta: { title: '合同审核' }
    },
    {
      path: '/financingManage/paymentApplication/:id',
      name: 'PaymentApplication',
      component: () => import('@/views/financingManage/paymentApplication/index'),
      hidden: true,
      meta: { title: '付款申请' }
    },
    {
      path: '/financingManage/businessReview/:id',
      name: 'FinancingBusinessReview',
      component: () => import('@/views/financingManage/businessReview'),
      hidden: true,
      meta: { title: '业务审核' }
    },
    {
      path: '/financingManage/businessReview/:id',
      name: 'FinancingRiskReview',
      component: () => import('@/views/financingManage/businessReview'),
      hidden: true,
      meta: { title: '风控审核' }
    },
    {
      path: '/financingManage/paymentApprove/:id',
      name: 'PaymentApprove',
      component: () => import('@/views/financingManage/paymentApprove'),
      hidden: true,
      meta: { title: '付款审核' }
    },
    {
      path: '/financingManage/financingView/:id',
      name: 'FinancingView',
      component: () => import('@/views/financingManage/financingView.vue'),
      hidden: true,
      meta: { title: '融资查看' }
    }
  ]
}
